Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1826346

Summary: send_nsca outputs %d on timeout
Product: [Fedora] Fedora EPEL Reporter: Stefano Biagiotti <stefano.biagiotti>
Component: nscaAssignee: Xavier Bachelot <xavier>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: epel8CC: marianne, wart, xavier
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Linux   
Whiteboard:
Fixed In Version: nsca-2.10.0-1.fc30 nsca-2.10.0-1.fc31 nsca-2.10.0-1.fc32 nsca-2.10.0-2.el8 nsca-2.10.0-2.el6 nsca-2.10.0-2.el7 Doc Type: ---
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-04-30 02:50:51 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Stefano Biagiotti 2020-04-21 13:29:55 UTC
$ send_nsca -H example.net
Error: Timeout after %d seconds

$ rpm -q nsca-client
nsca-client-2.9.2-8.el8.x86_64

This bug seems to be fixed in nsca v2.10.0

Comment 1 Fedora Update System 2020-04-21 14:21:45 UTC
FEDORA-EPEL-2020-e3609173c2 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-e3609173c2

Comment 2 Fedora Update System 2020-04-21 14:21:45 UTC
FEDORA-2020-a99f520722 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-a99f520722

Comment 3 Fedora Update System 2020-04-21 14:21:47 UTC
FEDORA-EPEL-2020-fc4463c176 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-fc4463c176

Comment 4 Fedora Update System 2020-04-21 14:21:50 UTC
FEDORA-EPEL-2020-9b916f9c93 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-9b916f9c93

Comment 5 Fedora Update System 2020-04-21 18:43:41 UTC
FEDORA-2020-48da63e4c6 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-48da63e4c6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-48da63e4c6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-04-22 19:27:05 UTC
FEDORA-EPEL-2020-9b916f9c93 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-9b916f9c93

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-04-22 19:46:31 UTC
FEDORA-EPEL-2020-e3609173c2 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-e3609173c2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-04-22 20:14:03 UTC
FEDORA-2020-a99f520722 has been pushed to the Fedora 30 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-a99f520722`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-a99f520722

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-04-22 20:28:43 UTC
FEDORA-2020-d5be3be566 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-d5be3be566`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-d5be3be566

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-04-22 22:37:11 UTC
FEDORA-EPEL-2020-fc4463c176 has been pushed to the Fedora EPEL 6 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-fc4463c176

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-04-30 02:50:51 UTC
FEDORA-2020-a99f520722 has been pushed to the Fedora 30 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2020-04-30 03:42:40 UTC
FEDORA-2020-d5be3be566 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2020-05-01 00:36:12 UTC
FEDORA-2020-48da63e4c6 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2020-05-06 05:11:11 UTC
FEDORA-EPEL-2020-fc472cc3f4 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-fc472cc3f4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2020-05-06 06:14:44 UTC
FEDORA-EPEL-2020-55ca7ea1da has been pushed to the Fedora EPEL 6 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-55ca7ea1da

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2020-05-06 06:15:59 UTC
FEDORA-EPEL-2020-a359910824 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-a359910824

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 17 Stefano Biagiotti 2020-05-06 08:30:36 UTC
Slightly different behaviour, but still not working as expected.

$ send_nsca -H example.net
Error:

$ rpm -q nsca-client
nsca-client-2.10.0-2.el8.x86_64

Reported upstream, a patch is available.

Comment 18 Fedora Update System 2020-05-21 03:40:56 UTC
FEDORA-EPEL-2020-fc472cc3f4 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 19 Fedora Update System 2020-05-21 04:14:42 UTC
FEDORA-EPEL-2020-55ca7ea1da has been pushed to the Fedora EPEL 6 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 20 Fedora Update System 2020-05-21 04:16:13 UTC
FEDORA-EPEL-2020-a359910824 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.